Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Thu, 07 Jun 2007 18:57:54 -0400

On Thu, 2007-07-06 at 15:30 -0700, Kok, Auke wrote:

> our rx interrupt/clean can trigger tx cleans, reaching the same code...

I see that - What i am saying is tx_lock never protects that.
Am i mistaken? i.e
CPU0 entering tx and and CPU1 entering rx interupt/clean can not be
blocked from each other simply by tp->tx_lock because tp->tx_lock only
runs on CPU0. 
Is it a bug then?

cheers,
jamal